﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using AcmeTicketAgencyWebRole.Repositories;

namespace AcmeTicketAgencyWebRole.Models
{
    public class UserRepository
    {
        public IList<User> QueryUsers()
        {
           SqlConnection connection = null;
           SqlDataReader reader = null;

           IList<User> list = new List<User>();
           try
           {           
                string query = "select UserName, Id from Users";
 
                string connectionString = ConnectString.GetConnectString();

                connection = new SqlConnection(connectionString);
                connection.Open();
                SqlCommand command = new SqlCommand(query, connection);
                reader = command.ExecuteReader();
                bool result = reader.Read();
                while (result != false)
                {
                    User u = new User();
                    u.Id = Convert.ToInt32(reader[1]);
                    u.UserName = reader[0].ToString();
                    list.Add(u);
                    result = reader.Read();
                }
           }
           catch (Exception ex)
           {
               throw ex;
           }
           finally
           {
               if (reader != null)
                   reader.Close();
               if (connection != null)
                   connection.Close();
           }

           return list;
        }

        private User GetUserByQuery(string query)
        {
            SqlConnection connection = null;
            SqlDataReader reader = null;
            User user = null;

            try
            {
                string connectionString = ConnectString.GetConnectString();

                connection = new SqlConnection(connectionString);
                connection.Open();
                SqlCommand command = new SqlCommand(query, connection);
                reader = command.ExecuteReader();
                bool result = reader.Read();
                while (result != false)
                {
                    user = new User();
                    user.Id = Convert.ToInt32(reader[1]);
                    user.UserName = reader[0].ToString();
                    result = reader.Read();
                }
           }
           catch (Exception ex)
           {
               throw ex;
           }
           finally
           {
               if (reader != null)
                   reader.Close();
               if (connection != null)
                   connection.Close();
           }

            return user;
        }

        public User GetUser(string name)
        {
            string query = "select UserName, Id from Users where UserName = '" + name + "'";
            User user = GetUserByQuery(query);
            return user;
        }

        public User GetUser(int id)
        {
            string query = "select UserName, Id from Users where Id = " + id.ToString();
            User user = GetUserByQuery(query);
            return user;
        }

    }
}