﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AcmeTicketAgencyWebRole.Repositories
{
    public class Event
    {
        public int EventId { get; set; }
        public String EventName { get; set; }
        public int TicketInventory { get; set; }
        public int TicketPrice { get; set; }
        public string Artist { get; set; }
        public DateTime Date { get; set; }
        public String Genre { get; set; }
        public String Location { get; set; }
    }

    public class InternalOrder
    {
        public int UserId { get; set; }
        public int EventId { get; set; }
        public int NumberTickets { get; set; }
        public int OrderId { get; set; }
    }

    public class Order
    {
        public User User {get;set;}
        public Event Event { get; set; }
        public int NumberTickets {get;set;}
        public int EventId {get;set;}
    }

    public class User
    {
        public int Id { get; set; }
        public String UserName { get; set; }
    }
        
}