﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<AcmeTicketAgencyWebRole.Models.OrderModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Ticket Orders
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Order Tickets</h2>
 
  <% using (Html.BeginForm("OrderTickets", "Home"))
  {%>              
     <table>
        <tr>
            <th>
                Customer
            </th>
            <th>
                Users
            </th>
            <th>
                Number Tickets
            </th>
            <th>
                Event Id
            </th>
        </tr>
        <tr>
            <td>
                <%:Html.DropDownListFor(m => m.userName, Model.Users) %>
           </td>
           <td>
                Number Tickets
           </td>
           <td>
                <%: Html.TextBoxFor(m => m.numberTickets) %>
           </td>     
            <td>
                <%: Html.DropDownListFor(m => m.eventId, Model.EventIds) %>
            </td>
            <td>   
              <input type="submit" value = "Order Tickets" />           
            </td>       
        </tr>
    </table>

     <table>
        <tr>
            <th>
                Event Id
            </th>
            <th>
                Event Name
            </th>
            <th>
                Date
            </th>
            <th>
                Artist
            </th>
            <th>
                Genre
            </th>
            <th>
                Location
            </th>
            <th>
                Inventory
            </th>
            <th>
                Ticket Price
            </th>
        </tr>

    <% foreach (var evt in Model.Events ) { %>
    
        <tr>
            <td>
                <%: evt.EventId %>
            </td>
            <td>
                <%: evt.EventName %>
            </td>
            <td>
                <%: String.Format("{0:d}", evt.Date) %>
            </td>
            <td>
                <%: evt.Artist %>
            </td>
            <td>
                <%: evt.Genre %>
            </td>
            <td>
                <%: evt.Location %>
            </td>
            <td>
                <%: evt.TicketInventory %>
            </td>
            <td>
                <%: String.Format("{0:F}", evt.TicketPrice) %>
            </td>
        </tr>
    <% } %>
    </table>
 <%} %>

 <% using (Html.BeginForm("DisplayUserOrders", "Home"))
  {%>  
      <table>
        <tr>
            <td>   
              <input type="submit" value="User Orders" />           
            </td>  
        </tr>
      </table>
   <%} %>   
 
</asp:Content>
