﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data.SqlClient;
using System.Web;

namespace AcmeTicketAgencyWebRole.Repositories
{
    public static class ConnectString
    {
        public static string GetConnectString()
        {
            SqlConnectionStringBuilder localConnect = new SqlConnectionStringBuilder();
            localConnect.DataSource = "(local)";
            localConnect.IntegratedSecurity = true;
            localConnect.InitialCatalog = "Tickets";

            SqlConnectionStringBuilder cloudConnect = new SqlConnectionStringBuilder();
            cloudConnect.DataSource = Config.database;
            cloudConnect.InitialCatalog = "Tickets";
            cloudConnect.Encrypt = true;
            cloudConnect.TrustServerCertificate = false;
            cloudConnect.UserID = Config.userId;
            cloudConnect.Password = Config.password;

            return cloudConnect.ConnectionString;
        }
    }
}